Name:           perl-HTML-FormFu-MultiForm
Version:        1.00
Release:        2%{?dist}
Summary:        Handle multi-page/stage forms
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTML-FormFu-MultiForm/
Source0:        http://www.cpan.org/authors/id/C/CF/CFRANKS/HTML-FormFu-MultiForm-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.30
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(Clone) >= 0.31
BuildRequires:  perl(Crypt::CBC)
# Crypt::DES is a default cipher used by the Crypt::CBC, bug #1087536
BuildRequires:  perl(Crypt::DES)
BuildRequires:  perl(HTML::FormFu) >= 1.00
BuildRequires:  perl(HTML::FormFu::Attribute)
BuildRequires:  perl(HTML::FormFu::ObjectUtil)
BuildRequires:  perl(HTML::FormFu::QueryType::CGI)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Moose) >= 1.00
BuildRequires:  perl(MooseX::Attribute::Chained) >= 1.0.1
BuildRequires:  perl(overload)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Storable)
# Test:
BuildRequires:  perl(Test::Aggregate::Nested) >= 0.371
BuildRequires:  perl(Test::More) >= 0.92
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Clone) >= 0.31
# Crypt::DES is a default cipher used by the Crypt::CBC, bug #1087536
Requires:       perl(Crypt::DES)
Requires:       perl(HTML::FormFu) >= 1.00
Requires:       perl(Moose) >= 1.00
Requires:       perl(MooseX::Attribute::Chained) >= 1.0.1

# Filter under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Clone|HTML::FormFu|Moose|MooseX::Attribute::Chained)\\)$

%description
Multi-page support for HTML::FormFu, a Perl HTML form framework.

%prep
%setup -q -n HTML-FormFu-MultiForm-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
# Disable hash key randomization to work around CPAN RT#91788
PERL_HASH_SEED=0 make test

%files
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Apr 14 2014 Petr Pisar <ppisar@redhat.com> 1.00-1
- Specfile autogenerated by cpanspec 1.78.
